<div class="play-list-body">
    <ul class="play-list-table-header">
        <li (click)="changeSort('name')">Nombre ❤</li>
        <li (click)="changeSort('album')">álbum 🆗</li>
        <li>fecha incorporación 🍌😁</li>
        <li><i class="uil uil-clock-eight"></i></li>
    </ul>
    <ul class="play-list-rows" *ngFor="let song of songs | orderList: sortValues.column : sortValues.orderBy">
        <li class="track-name">
            <ng-container *ngTemplateOutlet="coverSection;context:{song:song}"></ng-container>
        </li>
        <li class="track-name-opacity">
            {{song.album}}
        </li>
        <li class="track-name-opacity">
            {{song.album}}
        </li>
        <li class="track-name-opacity">
            {{song.album}}
        </li>

    </ul>
</div>

<!--template del cover-->
<ng-template #coverSection let-song="song">

    <div class="cover-section">
        <img appImgBroken class="cover-track" [src]="song.cover" [alt]="song.name">
        <div class="cover-info">
            <div class="name-track">{{song.name}}</div>
            <div class="name-track-details">{{song.artist.name}}</div>
        </div>
    </div>

</ng-template>
